X
Tap here to go to the mobile version of the site.

منتدى الدعم

BattleField 4 plugin is not loading even after reinstalling it

Posted

Hello, I have been using Firefox ESR for several years on my Win7 x64. I recently tried installing Firefox x64, which started causing weird issues with plugins being loaded or not loaded depending on which Firefox I ran, so I uninstalled the x64 one. Now, when I try to run Battlefield 4, it keeps prompting me to download and install the plugin in Firefox, regardless of how many times I install it.

I looked in registry and I see a key there

HKLM\SOFTWARE\MozillaPlugins\@esn/npbattlelog,version=2.7.1

So everything should be good, but it's not. When I go into Tools->Add-ons, Plugins, I don't see the plugin listed.

When I look into my profile, I see a file "pluginreg.dat" which contains the following:

Generated File. Do not edit.

[HEADER] Version|0.17|$ Arch|x86_64-msvc|$

[PLUGINS]

[INVALID] C:\Program Files (x86)\Battlelog Web Plugins\2.7.1\npbattlelog.dll|$ 1430384048000|$ ...

bunch of other plugins

How do I make the battlelog plugin valid? This is getting rather frustrating...

Thanks, Alex

Hello, I have been using Firefox ESR for several years on my Win7 x64. I recently tried installing Firefox x64, which started causing weird issues with plugins being loaded or not loaded depending on which Firefox I ran, so I uninstalled the x64 one. Now, when I try to run Battlefield 4, it keeps prompting me to download and install the plugin in Firefox, regardless of how many times I install it. I looked in registry and I see a key there HKLM\SOFTWARE\MozillaPlugins\@esn/npbattlelog,version=2.7.1 So everything should be good, but it's not. When I go into Tools->Add-ons, Plugins, I don't see the plugin listed. When I look into my profile, I see a file "pluginreg.dat" which contains the following: Generated File. Do not edit. [HEADER] Version|0.17|$ Arch|x86_64-msvc|$ [PLUGINS] [INVALID] C:\Program Files (x86)\Battlelog Web Plugins\2.7.1\npbattlelog.dll|$ 1430384048000|$ ... bunch of other plugins How do I make the battlelog plugin valid? This is getting rather frustrating... Thanks, Alex

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.0) Gecko/20100101 Firefox/38.0 OWASMIME/4.0500

More Information

jscher2000
  • Top 10 Contributor
8794 solutions 71946 answers

The 64-bit version only allows Flash and Silverlight, so this could be a leftover from that experiment.

Could you exit Firefox and rename the pluginreg.dat file to something like pluginreg.old and start Firefox up again? Firefox should reread the registry and regenerate pluginreg.dat, hopefully with the plugin working once again.

The 64-bit version only allows Flash and Silverlight, so this could be a leftover from that experiment. Could you exit Firefox and rename the pluginreg.dat file to something like pluginreg.old and start Firefox up again? Firefox should reread the registry and regenerate pluginreg.dat, hopefully with the plugin working once again.